Bug 248284 - rpcbind ignores libwrap files
rpcbind ignores libwrap files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-15 02:37 EDT by Allen Kistler
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.1.4-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen Kistler 2007-07-15 02:37:41 EDT
Description of problem:
/etc/hosts.allow and /etc/hosts.deny have no effect on rpcbind connectivity

Version-Release number of selected component (if applicable):
rpcbind-0.1.4-6.fc7

How reproducible:
Always

Steps to Reproduce:
1. put portmap:ALL in /etc/hosts.deny and nothing in /etc/hosts.allow
2. put RPCBIND_ARGS="-l" in /etc/sysconfig/rpcbind
3. restart rpcbind
4. rpcinfo -d <hostname> from another host
  
Actual results:
Port is open and supplies info

Expected results:
Port should appear closed or reject connections

Additional info:
I also tried rpcbind:ALL and sunrpc:ALL in /etc/hosts.deny, just in case the
keyword changed.

FWIW the rpcbind init script incorrectly lists /etc/sysconfig/nfs (???) as the
config file.  I'll file another bug on that one.
Comment 1 Steve Dickson 2007-09-15 11:53:51 EDT
Fixed in rpcbind-0.1.4-8.fc7 and rpcbind-0.1.4-8.fc8
Comment 2 Fedora Update System 2007-09-18 18:31:02 EDT
rpcbind-0.1.4-8.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-10-29 15:02:11 EDT
rpcbind-0.1.4-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.